package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName : PastLabel
 * @Description : 既往史
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:45
 */
@Setter
@Getter
public class PastLabel extends GeneralLabel{
    private List<Diag> diags;//疾病史
    private List<Wound> wounds;//外伤史
    private List<DiagInfectious> diagInfectiouses;//传染病史
    private List<Allergy> allergies;//过敏史
    private List<AllergyFood> allergyFoods;//食物过敏史
    private List<AllergyMedicine> allergyMedicines;//药物过敏史
    private List<AllergyDesc> allergyDescs;
    private List<BloodTransfusion> bloodTransfusions;//输血史
    private List<Operation> operations;//手术史
    private List<Vaccinate> vaccinates;//预防接种史

}